import request from '@/utils/request'

// 查询图片列表
export function listMallImg(query) {
  return request({
    url: '/mall/mallImg/list',
    method: 'get',
    params: query
  })
}

// 查询图片详细
export function getMallImg(id) {
  return request({
    url: '/mall/mallImg/' + id,
    method: 'get'
  })
}

// 新增图片
export function addMallImg(data) {
  return request({
    url: '/mall/mallImg',
    method: 'post',
    data: data
  })
}

// 修改图片
export function updateMallImg(data) {
  return request({
    url: '/mall/mallImg',
    method: 'put',
    data: data
  })
}

// 删除图片
export function delMallImg(id) {
  return request({
    url: '/mall/mallImg/' + id,
    method: 'delete'
  })
}

// 导出图片
export function exportMallImg(query) {
  return request({
    url: '/mall/mallImg/export',
    method: 'get',
    params: query
  })
}